Problems installing srvadmin-iws on SLES10 SP2

Nicole Hähnel ml at nicole-haehnel.de
Tue Sep 2 02:19:16 CDT 2008


Hi again,

can anybody please repair the broken OMSA repository for sles10.
Otherwise I have to remove all our servers from this repository and 
install OM by hand.

Thanks!

Nicole


Nicole Hähnel schrieb:
> Hi,
>
> I have registerd three new servers to dell linux hardware and software 
> repository.
>
> I can not install srvadmin-jre due to a corrup rpm / repository.
>
> Can anybody check this please?
>
>
> =============================================================================
>  Package                 Arch       Version          Repository        Size
> =============================================================================
> Installing:
>  srvadmin-iws            i386       5.4.0-231        dell-hardware-auto  
> 382 k
> Installing for dependencies:
>  srvadmin-jre            i386       5.4.0-231        
> dell-hardware-auto   22 M
>
> Transaction Summary
> =============================================================================
> Install      2 Package(s)
> Update       0 Package(s)
> Remove       0 Package(s)
>
> Total download size: 23 M
> Is this ok [y/N]: y
> Downloading Packages:
> (1/2): srvadmin-iws-5.4.0 100% |=========================| 382 kB    00:01
> (2/2): srvadmin-jre-5.4.0 100% |=========================|  22 MB    00:48
> Running Transaction Test
> Finished Transaction Test
> Transaction Test Succeeded
> Running Transaction
>   Installing: srvadmin-jre                 ######################### [1/2]
> Error unpacking rpm package srvadmin-jre-5.4.0-231.i386
> error: unpacking of archive failed on file 
> /opt/dell/srvadmin/jre/java-lx-ia32.bin;48b54e2a: cpio: MD5 sum mismatch
> srvadmin-iws:
> Missing file information! This rpm, "srvadmin-iws", depends on
> version "5.4.0" of "srvadmin-jre" being installed.
> The file, "/etc/omreg.cfg", does not contain the required "srvadmin-jre"
> version information needed by this rpm to install.
> This indicates that the required version of "srvadmin-jre" is
> not installed. This rpm has not been installed.
> error: %pre(srvadmin-iws-5.4.0-231.i386) scriptlet failed, exit status 1
> error:   install: %pre scriptlet failed (2), skipping srvadmin-iws-5.4.0-231
>
> Installed: srvadmin-iws.i386 0:5.4.0-231
> Dependency Installed: srvadmin-jre.i386 0:5.4.0-231
> Complete!
>
>
> Thanks!
>
> Nicole
>
> _______________________________________________
> Linux-PowerEdge mailing list
> Linux-PowerEdge at dell.com
> http://lists.us.dell.com/mailman/listinfo/linux-poweredge
> Please read the FAQ at http://lists.us.dell.com/faq
>   



More information about the Linux-PowerEdge mailing list